- Get Alert Cluster By Alert
- Get Alert Cluster
- List Alert Clusters
- Update Alert Cluster
GET /api/v1/metrics/alert-cluster/by-alert/{alertId}Get compact alert cluster overview for an alert detail sidebar.Path Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/metrics/alert-cluster/by-alert/{alertId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get compact alert cluster overview for an alert detail sidebar.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/metrics/alert-cluster/{clusterId}Get an alert cluster by ID using stored procedure.Path Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/metrics/alert-cluster/{clusterId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get an alert cluster by ID using stored procedure.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/metrics/alert-cluster/listList Alert ClustersRequest Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"71a899a1-c661-4349-985e-9f86762bb4b6".string
Example:
"8a9d5186-d9dc-4cf8-8cd6-e9ed2e7ef525".string
Example:
"51868525-89ca-4be0-b1f1-7c130f2d4436".string
Example:
"ALL_DATATYPES_PRIMARY".string
Example:
"CRITICAL".string
Example:
"NEW".string
Example:
"1271636b-2b4a-486a-8586-d000e3baeb15".string
Example:
"ISU-108".string
Example:
"Domain_3 Schema Constraint Violation Alert".string
Example:
"MSSQL".string
Example:
"TABLE".string
Example:
"Availability".string
Example:
"Schema".number
Example:
0.6708607535005078.integer
Example:
1.integer
Example:
31.object[]
object[]
string
Example:
"2026-09-18T19:42:51.573964Z".string
Example:
"2026-09-18T19:46:46.301483Z".integer
Example:
7.object[]
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/alert-cluster/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "List Alert Clusters",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"alert_cluster_id": "71a899a1-c661-4349-985e-9f86762bb4b6",
"root_alert_id": "8a9d5186-d9dc-4cf8-8cd6-e9ed2e7ef525",
"root_asset_id": "51868525-89ca-4be0-b1f1-7c130f2d4436",
"root_asset_name": "ALL_DATATYPES_PRIMARY",
"priority": "CRITICAL",
"cluster_status": "NEW",
"issue_id": "1271636b-2b4a-486a-8586-d000e3baeb15",
"issue_ref_id": "ISU-108",
"name": "Domain_3 Schema Constraint Violation Alert",
"source_type": "MSSQL",
"asset_type": "TABLE",
"metric_category": "Availability",
"metric_sub_category": "Schema",
"confidence_score": 0.6708607535005078,
"total_asset": 1,
"total_alert": 31,
"domain": [
{
"id": "8fa19df2-7aa1-4bee-8ccf-8bd4be99cde0",
"type": "domain",
"label": "domain_3",
"show_propagation": true
}
],
"owner": [
{
"id": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
"name": "Vignesh R",
"label": "Vignesh R",
"owner_type": "Steward"
}
],
"created_at": "2026-09-18T19:42:51.573964Z",
"modified_at": "2026-09-18T19:46:46.301483Z"
}
],
"total_count": 7,
"metrics": []
}
}
PUT /api/v1/metrics/alert-cluster/{clusterId}Update Alert ClusterPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/metrics/alert-cluster/{clusterId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update Alert Cluster",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}